AbstractJmsMessageDrivenBean (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.ejb.support

## Class AbstractJmsMessageDrivenBean

- java.lang.Object
- - org.springframework.ejb.support.AbstractEnterpriseBean
  - - org.springframework.ejb.support.AbstractMessageDrivenBean
    - - org.springframework.ejb.support.AbstractJmsMessageDrivenBean

- All Implemented Interfaces:
    Serializable, EnterpriseBean, MessageDrivenBean, MessageListener

  Deprecated.
  as of Spring 3.2, in favor of implementing EJBs in EJB 3 style

      @Deprecated
      public abstract class AbstractJmsMessageDrivenBean
      extends AbstractMessageDrivenBean
      implements MessageListener

  Convenient base class for JMS-based EJB 2.x MDBs. Requires subclasses to implement the JMS `javax.jms.MessageListener` interface.
  Author:
    Rod Johnson
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.springframework.ejb.support.AbstractMessageDrivenBean

      `logger`

    - ### Fields inherited from class org.springframework.ejb.support.AbstractEnterpriseBean

      `BEAN_FACTORY_PATH_ENVIRONMENT_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJmsMessageDrivenBean()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.ejb.support.AbstractMessageDrivenBean

      `ejbCreate, getMessageDrivenContext, onEjbCreate, setMessageDrivenContext`

    - ### Methods inherited from class org.springframework.ejb.support.AbstractEnterpriseBean

      `ejbRemove, getBeanFactory, onEjbRemove, setBeanFactoryLocator, setBeanFactoryLocatorKey`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.MessageListener

      `onMessage`

    - ### Methods inherited from interface javax.ejb.MessageDrivenBean

      `ejbRemove`

- - ### Constructor Detail

    - #### AbstractJmsMessageDrivenBean

          public AbstractJmsMessageDrivenBean()

      Deprecated.